Scriptname REQ_KnockdownDamage extends ActiveMagicEffect
{scale the knockdown damage with the enemies armor rating...}

Int Property BaseDamage Auto
Int Property MassPower Auto

Event OnEffectStart(actor Target, actor Caster)
	Float Damage = BaseDamage * Math.pow(Caster.GetAV("mass"), MassPower)
	Damage *= 1 - 0.0012 * Target.GetAV("DamageResist")
	If Damage > 0
		Target.DamageAV("Health", Damage )
	EndIf
EndEvent
