Scriptname REQ_KnockdownAttacks extends ActiveMagicEffect
{All kinds of infantry knockdowns, normal knockdowns cannot trip the attacker when failed, charging knockdowns on the other hand have the higher success change}

Event OnEffectStart(actor Target, actor Caster)
	If Caster == Game.GetPlayer()
		Input.ReleaseKey(Input.GetMappedKey("Sprint"))
	EndIf
	If Impact != None
		Impact.Cast(Caster, Target)
	EndIf
	
	Int Charging = 1 + ((Caster.IsSprinting() || Caster.IsOnMount()) as Int)
	
	Float TargetMass = Target.GetAV("Mass")
	TargetMass += 0.5* (Target.HasPerk(Evasion) && !Target.WornHasKeyword(HeavyArmor)) as Float
	Float Chance = 0.25 * (Caster.GetAV("Mass") / TargetMass)
	If Utility.RandomFloat() <= chance * charging
		Float Force = 2.5 * Caster.GetAV("Mass") / Target.GetAV("Mass")
		If Caster == Game.GetPlayer() && Force >= 5.0
			Force = 5.0
		EndIf
		Caster.PushActorAway(Target, Force)
	ElseIf Charging == 2
		Chance = 0.25 * (TargetMass /Caster.GetAV("Mass"))
		If Utility.RandomFloat() <= Chance
			Target.PushActorAway(Caster, 2.5 )
		EndIf
	EndIf
EndEvent

Keyword Property HeavyArmor Auto
Perk Property Evasion Auto
Spell Property Impact Auto
